summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLone_Wolf2020-04-20 23:55:55 +0200
committerLone_Wolf2020-04-20 23:55:55 +0200
commit36063b226e212a1099d9fe0e9e34f754c30d052c (patch)
treefb0e6ea640d52d5347db0bdd465dddbd503e7178
parenta75c791fc48b160580e3aa9191e0979a1d21d5e8 (diff)
downloadaur-36063b226e212a1099d9fe0e9e34f754c30d052c.tar.gz
small corrections
-rw-r--r--.SRCINFO11
-rw-r--r--PKGBUILD15
2 files changed, 13 insertions, 13 deletions
diff --git a/.SRCINFO b/.SRCINFO
index ce80144cfa8..65a5acfbc6f 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,5 +1,5 @@
pkgbase = llvm-git
- pkgver = 11.0.0_r351457.8a9d48b46d4
+ pkgver = 11.0.0_r351931.a9b137f9ffb
pkgrel = 1
url = https://llvm.org/
arch = x86_64
@@ -25,6 +25,7 @@ pkgbase = llvm-git
makedepends = ocl-icd
makedepends = opencl-headers
makedepends = z3
+ makedepends = jsoncpp
options = staticlibs
source = llvm-project::git+https://github.com/llvm/llvm-project.git
source = llvm-config.h
@@ -35,10 +36,8 @@ pkgbase = llvm-git
pkgname = llvm-git
pkgdesc = LLVM development version. includes clang and many other tools
- depends = llvm-libs-git=11.0.0_r351457.8a9d48b46d4-1
+ depends = llvm-libs-git=11.0.0_r351931.a9b137f9ffb-1
depends = perl
- depends = python-six
- depends = z3
optdepends = python: for scripts
optdepends = python-setuptools: for using lit = LLVM Integrated Tester
provides = aur-llvm-git
@@ -67,13 +66,15 @@ pkgname = llvm-libs-git
depends = libedit
depends = ncurses
depends = libxml2
+ depends = z3
+ depends = lua
provides = aur-llvm-libs-git
provides = llvm-libs
conflicts = llvm-libs
pkgname = llvm-ocaml-git
pkgdesc = OCaml bindings for LLVM
- depends = llvm-git=11.0.0_r351457.8a9d48b46d4-1
+ depends = llvm-git=11.0.0_r351931.a9b137f9ffb-1
depends = ocaml
depends = ocaml-ctypes
provides = llvm-ocaml
diff --git a/PKGBUILD b/PKGBUILD
index 46c185a1c28..1fedd3a2a29 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -15,14 +15,14 @@
pkgname=('llvm-git' 'llvm-libs-git' 'llvm-ocaml-git')
-pkgver=11.0.0_r351457.8a9d48b46d4
+pkgver=11.0.0_r351931.a9b137f9ffb
pkgrel=1
arch=('x86_64')
url="https://llvm.org/"
license=('custom:Apache 2.0 with LLVM Exception')
makedepends=( 'git' 'cmake' 'ninja' 'libffi' 'libedit' 'ncurses' 'libxml2' 'python-sphinx'
'ocaml' 'ocaml-ctypes' 'ocaml-findlib'
- 'python-sphinx' 'python-recommonmark' 'swig' 'python' 'python-six' 'lua' 'ocl-icd' 'opencl-headers' 'z3')
+ 'python-sphinx' 'python-recommonmark' 'swig' 'python' 'python-six' 'lua' 'ocl-icd' 'opencl-headers' 'z3' 'jsoncpp')
checkdepends=('python-psutil')
source=("llvm-project::git+https://github.com/llvm/llvm-project.git"
'llvm-config.h')
@@ -70,31 +70,30 @@ prepare() {
}
build() {
-
cd _build
cmake "$srcdir"/llvm-project/llvm -G Ninja \
-D CMAKE_C_FLAGS="${CFLAGS}" \
-D CMAKE_CXX_FLAGS="${CXXFLAGS}" \
-D CMAKE_BUILD_TYPE=Release \
-D CMAKE_INSTALL_PREFIX=/usr \
+ -D LLVM_BINUTILS_INCDIR=/usr/include \
-D PYTHON_EXECUTABLE=/usr/bin/python \
-D LLVM_APPEND_VC_REV=ON \
+ -D LLVM_VERSION_SUFFIX="" \
-D LLVM_HOST_TRIPLE=$CHOST \
-D LLVM_ENABLE_RTTI=ON \
-D LLVM_ENABLE_FFI=ON \
-D FFI_INCLUDE_DIR:PATH="$(pkg-config --variable=includedir libffi)" \
-D LLVM_BUILD_LLVM_DYLIB=ON \
-D LLVM_LINK_LLVM_DYLIB=ON \
- -D LLVM_POLLY_LINK_INTO_TOOLS=OFF \
-D LLVM_INSTALL_UTILS=ON \
-D LLVM_BUILD_DOCS=ON \
-D LLVM_ENABLE_DOXYGEN=OFF \
-D LLVM_ENABLE_SPHINX=ON \
-D SPHINX_OUTPUT_HTML:BOOL=OFF \
-D SPHINX_WARNINGS_AS_ERRORS=OFF \
- -D LLVM_BINUTILS_INCDIR=/usr/include \
- -D LLVM_VERSION_SUFFIX="" \
-D POLLY_ENABLE_GPGPU_CODEGEN=ON \
+ -D LLVM_POLLY_LINK_INTO_TOOLS=OFF \
-D LLDB_USE_SYSTEM_SIX=1 \
-D LLVM_ENABLE_PROJECTS="polly;lldb;lld;compiler-rt;clang-tools-extra;clang"
@@ -114,7 +113,7 @@ check() {
package_llvm-git() {
pkgdesc="LLVM development version. includes clang and many other tools"
- depends=("llvm-libs-git=$pkgver-$pkgrel" 'perl' 'python-six' 'z3')
+ depends=("llvm-libs-git=$pkgver-$pkgrel" 'perl')
optdepends=('python: for scripts'
'python-setuptools: for using lit = LLVM Integrated Tester'
)
@@ -178,7 +177,7 @@ package_llvm-git() {
package_llvm-libs-git() {
pkgdesc="runtime libraries for llvm-git"
- depends=('gcc-libs' 'zlib' 'libffi' 'libedit' 'ncurses' 'libxml2')
+ depends=('gcc-libs' 'zlib' 'libffi' 'libedit' 'ncurses' 'libxml2' 'z3' 'lua')
provides=(aur-llvm-libs-git llvm-libs)
conflicts=('llvm-libs')